Espace insécables supprimés par WordPress

  • Statut : non résolu
15 sujets de 16 à 30 (sur un total de 31)
  • Auteur
    Messages
  • #614174
    melodie
    Participant
    Chevalier WordPress
    197 contributions
    Travis wrote:
    J’en ai fait un plugin disponible sur Bitbucket : wp-french-typo.

    Il suffit de l’ajouter à votre répertoire /wp-content/plugins/ et de l’activer dans votre console d’administration.

    Merci d’utiliser le même site pour reporter d’éventuel bug.

    Bonjour Travis,
    Je l’essaie tout de suite ! Et… mais… mais oui, ça fonctionne ! Génial !

    Ok, si je trouve un bug, je le rapporterai. Ce plugin pourrait-il être ajouté à la base de plugins fournis officiellement ?

    #614175
    Lorange
    Membre
    Initié WordPress
    7 contributions

    Je seconde ce que Melodie vient de demander. Serait-il possible d’inclure ce plugin, très utile (!), dans le dépôt WordPress officiel ?

    Et pour ne pas venir les « mains vides », voici encore une suggestion :

    Il faudrait ajouter un espace insécable automatique pour les guillemets français, à savoir :

    –> après “«”
    –> avant “»”

    #614176
    Lorange
    Membre
    Initié WordPress
    7 contributions

    Pus de 53’000 vues sur ce fil de discussion… tout de même ! 👏

    #614177
    Lorange
    Membre
    Initié WordPress
    7 contributions

    .. c’est plus que la majorité des sujets épinglés de ce forum. Imaginez-vous seulement le nombre de personnes qui rencontrent ce problème !

    (Désolé de “flooder”, mais il semble qu’il ne soit pas possible de modifier ses messages).

    #2263569
    metis15
    Participant
    Initié WordPress
    31 contributions

    Hello toul’monde,
    Je ne sais pas si celà fonctionne toujours ce wp-french-typo (pas encore essayé), ça date de 2011…
    Si oui, faite-moi un signe pour éviter de bricoler pour rien (;o))))
    Merci à tous !

    • Cette réponse a été modifiée le il y a 4 mois et 3 weeks par  metis15.
    #2263630
    C_Lucien
    Modérateur
    Maître WordPress
    4250 contributions

    Bonjour,

    l’auteur a apporté des modifications jusqu’en 2017, si on en croit le site source. Maintenant, quant à dire si cette extension est encore utile, viable et surtout sécurisée, à part la tester quelque temps sur un site secondaire, pouvant être “sacrifié”, je ne vois pas comment le savoir…

    Cette extension, à jour, semble apporter les mêmes fonctions.

    #2263652
    metis15
    Participant
    Initié WordPress
    31 contributions

    Merci, merci, je vais tester ça !

    #2263653
    melodie
    Participant
    Chevalier WordPress
    197 contributions

    Bonjour, c’est vrai que l’absence d’espace insécable est assez insupportable. Avant j’arrivais à contourner en écrivant sur Libreoffice et en faisant un copié collé, ça transférait le code pour l’espace insécable, mais dernièrement ça ne fonctionnait plus. Merci pour l’info sur wp-typography.

    #2263656
    PhiLyon
    Modérateur
    Maître WordPress
    23815 contributions

    Bonjour.

    Avec TinyMCE Advanced, dans un bloc classique, on peut insérer une espace insécable.

    🙂

    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2263660
    metis15
    Participant
    Initié WordPress
    31 contributions

    Alors, après essai, aujourd’hui, encore en WP v 4.5.17, j’utilise WP uniquement en mode page.
    Donc j’écris des titres, des sous-titres, avec des images et du texte, dans des pages (site de présentation de spectacles).

    J’avais l’habitude de faire sans arrêt des allers/retours entre Visuel (mode apperçu) et Texte (HTML).
    Je viens de lire qu’il faut à tout prix éviter ça.
    Encore, quand c’est moi qui travaille le site, ça va.
    Mais si je laisse faire le client, ça peut vite virer au cauchemar !

    J’étais énervé par la disparition du code  , un peu difficile à contrôler tant qu’on n’a pas compris un truc :
    Il faut absolument sortir du mode d’édition en “position Texte”, sauver, et ne plus revenir en mode Visuel !
    Sinon, on arrive rapidement à ne plus savoir où on en est.

    En fait c’est un peu ça la clé du truc !!
    Je viens de faire 36 essais sans pouvoir prendre l’éditeur en défaut, même quand l’éditeur efface  

    « essai », ou « essai », c’est pareil. Idem avec les signes de ponctuation doubles !

    Je ne m’en plains, mais je mange un peu mon chapeau de comprendre ce qu’il se passe…

    Du coup, je n’ai pas réactivé l’extension wp-Typography !

    • Cette réponse a été modifiée le il y a 4 mois et 3 weeks par  metis15.
    #2263666
    C_Lucien
    Modérateur
    Maître WordPress
    4250 contributions

    Bonjour,

    WP v 4.5.17

    @metis 15

    Ai-je bien lu WordPress 4.5.17 ? Le “client” a refusé toutes les mises à jour qui ont suivi ?

    #2263679
    metis15
    Participant
    Initié WordPress
    31 contributions

    Ma foi, je n’ai pas non plus insisté.
    On n’ira pas au delà de 4.9.5 pour éviter les problèmes éventuels.
    Et puis le passage en v5 ne presse pas.
    Nous laissons essuyer les plâtres aux copains (;o))) !

    #2263680
    PhiLyon
    Modérateur
    Maître WordPress
    23815 contributions

    Problème, les copains, nous entre autres, n’utilisons plus que la version 5.2.1, alors pour ton problème cela ne va pas être évident.

    🙂

    #2263681
    metis15
    Participant
    Initié WordPress
    31 contributions

    Oui bien sûr, en tant que modérateur de ce forum spécialisé, tu (vous) êtes obligé(s).
    Mais en production, nous (les autres) avons souvent pour habitude de ne pas se précipiter à faire les grosses mises à jour majeures.
    Et puis on peut préférer la mouture précédente pour éviter la chasse aux problèmes imprévus.
    Bien sûr, tu vas me dire que tout est prévu et que ça marche bien la v5… (;o)))

    Alors ce problème avec les insécables   qui disparaissent “tout seuls”, il y a eu des changements majeurs de politique en arrivant vers les dernières version (v4.9.5) et passage à v5.xx ou pas ?

    #2263682
    Flobogo
    Modérateur
    Maître WordPress
    15850 contributions

    Bonjour,

    Concernant les espaces insécables, il ne faut pas espérer un changement de “politique” au niveau de WP, qui rappelons-le, est piloté par des anglophones. Alors nos espaces insécables de frenchies, ils n’en ont rien à f—  [surtout en plein Brexit 🙄 ]

    Pour ma part, je vous conseille la petite extension NBSP French, qui fait parfaitement le boulot et transforme les espaces sécables en insécables juste là où il faut pour le français. Et cette extension est compatible avec WP 5.21 à ce jour, donc complètement compatible avec les dernières versions de WP.

    Quant au sujet des mises à jour, bien sûr qu’il n’y a pas obligation à “se précipiter à faire les grosses mises à jour majeures“, il est toujours possible d’attendre que sorte les premiers correctifs dans la version mineure suivante, ce qui ne tarde généralement pas.

    Sauf que là, on en est à la 3ème version intermédiaire : on ne parle plus de 5.0, ni même de 5.1, mais bien de 5.2.x

    Si c’est le nouvel éditeur Gutenberg qui vous fait peur, il suffit d’installer l’extension Classic Editor, de paramétrer pour que vos utilisateurs ou clients soient automatiquement en mode ancien éditeur, et rien ne changera pour eux. Mais ils auront un site à jour et donc sécurisé.

15 sujets de 16 à 30 (sur un total de 31)
  • Vous devez être connecté pour répondre à ce sujet.